# EclipseJavaSourceSettings

interface EclipseJavaSourceSettings

Describes Eclipse Java source settings for compiling and running some Java source code.

#### Since

2.10

## Functions

getJdk
Link copied to clipboard
abstract fun getJdk(): InstalledJdk
Returns the JDK used for building.
getSourceLanguageLevel
Link copied to clipboard
abstract fun getSourceLanguageLevel(): JavaVersion
Returns the Java source language level.
getTargetBytecodeVersion
Link copied to clipboard
abstract fun getTargetBytecodeVersion(): JavaVersion
Returns the target bytecode level.